Page MenuHomePhabricator

Ensure that hovercards aren't shown cropped
Closed, ResolvedPublic

Description

Cards appear cropped when link is relatively towards the upper or lower section of the page. They need to align in the opposite direction.

Event Timeline

Moushira created this task.Apr 4 2016, 8:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 4 2016, 8:07 PM
Moushira updated the task description. (Show Details)Apr 4 2016, 8:09 PM
Moushira updated the task description. (Show Details)

Hovercards already tries to position the card in such a manner that it doesn't get cropped. In these screenshots it seems that the screen is too small to show it in any fully direction.

Assuming this is a screenshot of the entire screen—

There are 335px above the link and only 315px below.

There are 328px below the link and only 305px below.


So, I think this isn't an orientation bug, but a problem on smaller screens that we need to solve and design for.

How about showing the card to the left of the link in the above example?

How about showing the card to the left of the link in the above example?

Yup, that would make sense!
/me cringes at more SVG clipping

Jdlrobson triaged this task as Normal priority.Apr 5 2016, 5:09 PM
Jdlrobson lowered the priority of this task from Normal to Low.Jul 28 2016, 8:22 PM
ovasileva closed this task as Invalid.Sep 1 2016, 8:13 PM
ovasileva added a subscriber: ovasileva.

Can't be reproduced, if it appears again, will reopen or file new bug

bmansurov reopened this task as Open.Sep 1 2016, 8:16 PM

Still happening:

Steps to re-produce:

  1. Go to a page and hover over a link. Make sure the image is at the top of the text (some links show images next to the text). Shrink the window height and hover over the same link again. You'll notice that the Popup doesn't switch to horizontal view (where image is next to the text) when there is not enough vertical space to show it all.
ovasileva closed this task as Resolved.Dec 19 2016, 10:32 PM
ovasileva claimed this task.

Tested on new branch, works fine